%define oname	ModemManager

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{oname}/.*\\.so

%define api		1.0
%define major		0
%define glibname	%mklibname mm-glib %{major}
%define glibdevel	%mklibname mm-glib -d
%define girname		%mklibname %{name}-gir %{api}

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	1.6.4
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Networking
URL:		http://www.freedesktop.org/wiki/Software/ModemManager/
Source:		http://www.freedesktop.org/software/ModemManager/%{oname}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(mbim-glib)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(qmi-glib)
BuildRequires:	pkgconfig(vapigen)

Requires:	usb_modeswitch

%description
The %{oname} service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%package devel
Summary:	Headers for adding %{oname} support to applications
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains various headers for accessing some %{oname} functionality
from applications.

%package -n %{girname}
Summary:	GObject introspection interface for %{oname}
Group:		System/Libraries
Requires:	%{glibname} = %{version}-%{release}
Obsoletes:	%{name}-gir < 1.2.0-7

%description -n %{girname}
GObject introspection interface for %{oname}.

%package vala
Summary:	Vala bindings for ModemManager
Group: 		System/Libraries
Requires:	vala
Requires:	%{glibname} = %{version}-%{release}

%description vala
Vala bindings for %{oname}.

%package -n %{glibname}
Summary:	Libraries for adding %{oname} support to applications that use glib
Group:		System/Libraries
Obsoletes:	%{name}-glib < 1.2.0-7

%description -n %{glibname}
This package contains the libraries that make it easier to use some %{oname}
functionality from applications that use glib.

%package -n %{glibdevel}
Summary:	Libraries and headers for adding %{oname} support to applications that use glib
Group:		System/Libraries
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{glibname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Obsoletes:	%{name}-glib-devel < 1.2.0-7

%description -n %{glibdevel}
This package contains various headers for accessing some %{oname} functionality
from glib applications.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--with-udev-base-dir=%{_prefix}/lib/udev \
	--with-polkit=no \
	--disable-static \
	--with-suspend-resume=systemd
%make_build

%if 0
%check
%make check
%endif

%install
%make_install

%find_lang %{name} --all-name

# we don't want these
find %{buildroot} -name "*.la" -delete

%post
%_post_service %{oname}

%preun
%_preun_service %{oname}

%files -f %{name}.lang
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.%{oname}1.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.%{oname}1.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_sbindir}/%{oname}
%{_bindir}/mmcli
%{_udevrulesdir}/*.rules
%{_unitdir}/%{oname}.service
%{_mandir}/man8/*
%{_datadir}/icons/hicolor/22x22/apps/%{oname}.png
%{_datadir}/bash-completion/completions/mmcli
#plugins
%{_libdir}/%{oname}/

%files devel
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{oname}.pc

%files -n %{glibname}
%{_libdir}/libmm-glib.so.%{major}
%{_libdir}/libmm-glib.so.%{major}.*

%files -n %{glibdevel}
%{_includedir}/libmm-glib/
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/mm-glib.pc
%{_datadir}/gir-1.0/%{oname}-%{api}.gir

%files vala
%{_datadir}/vala/vapi/libmm-glib.*

%files -n %{girname}
%{_libdir}/girepository-1.0/%{oname}-%{api}.typelib


%changelog
* Sun Feb 19 2017 wally <wally> 1.6.4-2.mga6
+ Revision: 1086966
- new version 1.6.4
- drop gtk-doc docs

* Fri Aug 26 2016 wally <wally> 1.6.0-2.mga6
+ Revision: 1049132
- enable qmi support

* Fri Aug 26 2016 wally <wally> 1.6.0-1.mga6
+ Revision: 1049079
- new version 1.6.0
- use --with-suspend-resume=systemd configure option like upstrean suggests

* Wed Jan 27 2016 daviddavid <daviddavid> 1.4.12-1.mga6
+ Revision: 928052
- new version: 1.4.12

* Mon Jun 29 2015 wally <wally> 1.4.0-2.mga6
+ Revision: 847787
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 837813
- new version 1.4.0

* Sun Dec 07 2014 wally <wally> 1.2.0-7.mga5
+ Revision: 801978
- add post and preun scripts for systemd service (mga#14650)
- exclude plugin .so from provides
- fix libification of gir and glib lib pkgs
- drop unneeded dia BR
- tag docs as such

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 750746
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.2.0-5.mga5
+ Revision: 724944
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 682559
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 guillomovitch <guillomovitch> 1.2.0-3.mga5
+ Revision: 660751
- rebuild against latest libmbim

* Thu Aug 07 2014 fwang <fwang> 1.2.0-2.mga5
+ Revision: 660726
- rebuild for new libmbim

* Sat Feb 08 2014 dams <dams> 1.2.0-1.mga5
+ Revision: 585685
- new version 1.2.0
- adds gir interface
- adds vala bindings

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 535201
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 dams <dams> 1.0.0-2.mga4
+ Revision: 481532
- Disable polkit as requested on mga#9718

* Thu Aug 01 2013 guillomovitch <guillomovitch> 1.0.0-1.mga4
+ Revision: 462174
- new version
- drop unknown configure options

* Mon Jun 10 2013 dams <dams> 0.7.991-1.mga4
+ Revision: 441844
- update the way to enable doc
- update file list for systemd ModemManager.service

  + ovitters <ovitters>
    - new version 0.7.991

* Tue May 28 2013 dams <dams> 0.7.990-1.mga4
+ Revision: 429000
- fix %%group
- fix %%file
- new version 0.7.990
- build without libqmi
- add 'devel', 'glib' and 'glib-devel' sub packages

* Tue Jan 22 2013 fwang <fwang> 0.6.0.0-3.mga3
+ Revision: 390924
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.6.0.0-2.mga3
+ Revision: 360188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 ovitters <ovitters> 0.6.0.0-1.mga3
+ Revision: 285478
- new version 0.6.0.0

* Thu Jul 19 2012 ovitters <ovitters> 0.5.995.0-1.mga3
+ Revision: 272468
- new version 0.5.995.0

* Thu Jul 19 2012 ovitters <ovitters> 0.5.3.96-1.mga3
+ Revision: 272463
- new version 0.5.3.96

* Wed Mar 14 2012 ovitters <ovitters> 0.5.2.0-1.mga3
+ Revision: 223383
- new version 0.5.2.0

* Mon Feb 27 2012 ovitters <ovitters> 0.5.1.97-1.mga2
+ Revision: 215590
- new version

* Tue Jan 10 2012 wally <wally> 0.5.1.95-1.mga2
+ Revision: 194560
- new version 0.5.1.95
- clean BRs
- clean .spec a bit
- new version 0.5
- enable polkit support
- clean .spec

* Tue Mar 01 2011 eandry <eandry> 0.5-0.20110228.2.mga1
+ Revision: 61978
- fix Requires

* Mon Feb 28 2011 eandry <eandry> 0.5-0.20110228.1.mga1
+ Revision: 61873
- Test disabling parallel make
- Test disabling make check
- New git snapshot 20110228
  BR polkit-devel
- use provided .autogen.sh, autoreconf fails
- update files list
- Requires usb-modeswitch
- BR ppp-devel
- clean spec
- imported package modemmanager

